Upstream information

CVE-2021-20286 at MITRE

Description

A flaw was found in libnbd 1.7.3. An assertion failure in nbd_unlocked_opt_go in ilb/opt.c may lead to denial of service.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 2.7
Vector CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:L
Access Vector Network
Access Complexity Low
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
CVSSv3 Version 3.1
No SUSE Bugzilla entries cross referenced.

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Containers 15 SP2
  • containerized-data-importer-manifests >= 1.30.0-5.3.2
  • kubevirt-manifests >= 0.40.0-5.11.2
  • kubevirt-virtctl >= 0.40.0-5.11.2
Patchnames:
SUSE-SLE-Module-Containers-15-SP2-2021-2274
SUSE Linux Enterprise Module for Containers 15 SP3
  • kubevirt-manifests >= 0.40.0-5.11.2
  • kubevirt-virtctl >= 0.40.0-5.11.2
Patchnames:
SUSE-SLE-Module-Containers-15-SP3-2021-2274
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • kubevirt-manifests >= 0.40.0-5.11.2
  • kubevirt-tests >= 0.40.0-5.11.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2274
openSUSE Leap 15.3
  • kubevirt-container-disk >= 0.40.0-5.11.2
  • kubevirt-manifests >= 0.40.0-5.11.2
  • kubevirt-tests >= 0.40.0-5.11.2
  • kubevirt-virt-api >= 0.40.0-5.11.2
  • kubevirt-virt-controller >= 0.40.0-5.11.2
  • kubevirt-virt-handler >= 0.40.0-5.11.2
  • kubevirt-virt-launcher >= 0.40.0-5.11.2
  • kubevirt-virt-operator >= 0.40.0-5.11.2
  • kubevirt-virtctl >= 0.40.0-5.11.2
Patchnames:
openSUSE-SLE-15.3-2021-2274